
## To use ##

Write only:
```
<div id="da11y-plugin"></div>
``` 
it set 'toggle' and 'options'

Or:
in two separate parts that can be in two different places on the site
```
<div id="da11y-toggle"></div>
<div id="da11y-options"></div>
```

------------------------------------------------------------------------------------------------

# Pojo Accessibility #
[![Build Status](https://travis-ci.org/pojome/pojo-accessibility.svg?branch=master)](https://travis-ci.org/pojome/pojo-accessibility) [![Dependency Status](https://david-dm.org/pojome/pojo-accessibility/dev-status.svg)](https://david-dm.org/pojome/pojo-accessibility#info=devDependencies) [![Built with Grunt](https://cdn.gruntjs.com/builtwith.png)](http://gruntjs.com/)

**Contributors:** pojo.me, KingYes, ariel.k  
**Tags:** Pojo, Accessibility, A11y, Toolbar, Tools, WordPress Accessibility  
**Requires at least:** 4.1  
**Tested up to:** 4.3.1  
**Stable tag:** 1.0.2  
**License:** GPLv2 or later  

This plugin implements the accessibility features for the Pojo WordPress Themes.

## Description ##

**Please Note:** This plugin is for [Pojo Framework][1] users only.

This plugin implements the accessibility features for the Pojo Themes. While most accessibility issues can't be addressed without directly changing your content, Pojo Accessibility adds a number of helpful accessibility features with a minimum amount of setup or expert knowledge.

<strong>Accessibility Toolbar:</strong>

Add a toolbar toggling that allows you to choose many options:

* Resize font (increase/decrease)
* Grayscale
* Negative Contrast
* High Contrast
* Light Background
* Links Underline
* Readable Font
* Link to Sitemap/Feedback/Help pages

<strong>Accessibility Features:</strong>

* Enable skip to content
* Add outline focus for focusable elements
* Remove the target attribute from links
* Add landmark roles to all links
* Customizer for style adjustment

**Contributions:**

Would you like to contribute to Pojo Accessibility? You are more than welcome to submit your requests on the [GitHub repo][2]. Also, if you have any notes about the code, please open a ticket on this issue tracker.

[1]: http://pojo.me/?utm_source=wp-repo&utm_medium=link&utm_campaign=a11y
[2]: https://github.com/pojome/pojo-accessibility


## Installation ##

**Automatic Installation**

1. Install using the WordPress built-in Plugin installer > Add New
1. Activate the plugin through the 'Plugins' menu in WordPress
1. Go to the Builder tab in the Pages or Widgets menu
1. Drag and drop the widget and set it
1. Enjoy!

**Manual Installation**

1. Extract the zip file and just drop the contents in the <code>wp-content/plugins/</code> directory of your WordPress installation
1. Activate the plugin through the 'Plugins' menu in WordPress
1. Go to the Builder tab in the Pages or Widgets menu
1. Drag and drop the widget and set it
1. Enjoy!


## Screenshots ##

### 1. Accessibility Toolbar ###
![Accessibility Toolbar](http://s.wordpress.org/extend/plugins/pojo-accessibility/screenshot-1.png)

### 2. Accessibility Settings ###
![Accessibility Settings](http://s.wordpress.org/extend/plugins/pojo-accessibility/screenshot-2.png)

### 3. Accessibility Customizer ###
![Accessibility Customizer](http://s.wordpress.org/extend/plugins/pojo-accessibility/screenshot-3.png)


## Changelog ##

### 1.0.3 ###
* Fixed! - Issue with slidebar in Resize text

### 1.0.2 ###
* Tweak! - Fixed hebrew translate

### 1.0.1 ###
* New! - Added distance from top toolbar, in Desktop/Mobile devices
* Fixed! - Skip to content in Chrome

### 1.0.0 ###
* Initial Public Release!